## nvidia-graphics-drivers-legacy-390xx 390.147

=== debian/changelog ===
nvidia-graphics-drivers-legacy-390xx (390.147-4) unstable; urgency=medium

  * dkms.conf: Use a BUILD_EXCLUSIVE equivalent hack to skip building for -rt
    kernels, not supported upstream (510.54-1).
  * Declare Testsuite: autopkgtest-pkg-dkms (510.54-1).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Apr 2022 20:59:01 +0200

nvidia-graphics-drivers-legacy-390xx (390.147-3) unstable; urgency=medium

  * Fix incomplete backport of pde_data changes from 510.39.01.
    (Closes: #1005909)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 16 Feb 2022 22:35:21 +0100

nvidia-graphics-drivers-legacy-390xx (390.147-2) unstable; urgency=medium

  * Add xorg-video-abi-25 (Xorg Xserver 21) as alternative dependency.
    (Closes: #1005804)
  * Backport pde_data changes from 470.103.01 to fix kernel module build for
    Linux 5.17.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 16 Feb 2022 18:28:11 +0100

nvidia-graphics-drivers-legacy-390xx (390.147-1) unstable; urgency=medium

  * New upstream legacy branch release 390.147 (2021-12-16).
    - Worked around a bug in Meson builds of libglvnd 1.3.0 that caused the
      nvidia_icd.json file to be installed in the wrong location.
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.
  * bug-script: Show the nvidia and glx alternatives (470.82.00-1).
  * nvidia-legacy-390xx-alternative: libnvidia-cfg.so.1 on its own is not
    sufficient to activate a nvidia alternative (470.82.00-1).
    (Closes: #996595)
  * Fix bashisms in upstream scripts (470.82.00-1).
  * libegl1-mesa is a transitional package since buster (470.82.00-1).
  * nvidia-legacy-390xx-kernel-support: Provide
    /etc/modprobe.d/nvidia-options.conf as a template taking into account the
    module renaming. This is a slave alternative of the nvidia alternative
    (470.86-1).  (Closes: #999670)
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 31 Dec 2021 09:31:35 +0100

nvidia-graphics-drivers-legacy-390xx (390.144-2) unstable; urgency=medium

  * Backport drm_device_has_pdev and set_current_state changes from 470.63.01
    to fix kernel module build for Linux 5.14.  (Closes: #994814)
  * Generate tight dependencies on libnvidia*-glcore/libnvidia*-eglcore
    (470.57.02-3).  (Closes: #992057)
  * Bump Standards-Version to 4.6.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 20 Sep 2021 21:13:35 +0200

nvidia-graphics-drivers-legacy-390xx (390.144-1~deb10u1) buster; urgency=medium

  * Rebuild for buster.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Jul 2021 10:50:49 +0200

nvidia-graphics-drivers (340.104-2) UNRELEASED; urgency=medium

  [ Luca Boccassi ]
  * Add timer.patch to fix kernel module build for Linux 4.15 and newer.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 Jan 2018 03:08:52 +0100

nvidia-graphics-drivers (340.102-2) UNRELEASED; urgency=medium

  [ Luca Boccassi ]
  * Add set-memory.patch to fix kernel module build for Linux 4.12 and newer.
  * Add drm-unload.patch, fatal-signal.patch, and vm-fault.patch to fix kernel
    module build for Linux 4.11 and newer.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 02 Jul 2017 00:26:32 +0200

nvidia-graphics-drivers (340.98-1) UNRELEASED; urgency=medium

  * New upstream legacy 340xx branch release 340.98 (2016-09-26).
    * Fixed CVE-2016-7382, CVE-2016-7389.  (Closes: #846331)
      https://nvidia.custhelp.com/app/answers/detail/a_id/4246
    - Added support for the screen_info.ext_lfb_base field, on kernels that
      have it, in order to properly handle UEFI framebuffer consoles with
      physical addresses above 4GB.
    * Improved compatibility with recent Linux kernels.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 07 Oct 2016 21:39:45 +0200
