## nvidia-graphics-drivers-legacy-390xx 390.151

=== debian/changelog ===
nvidia-graphics-drivers-legacy-390xx (390.151-1~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 29 May 2022 00:37:41 +0200

nvidia-graphics-drivers-legacy-390xx (390.151-1) unstable; urgency=medium

  * New upstream legacy branch release 390.151 (2022-05-16).
    * Fixed CVE-2022-28181, CVE-2022-28185.  (Closes: #1011142, #1004849)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5353
    - Fixed a bug which prevented kernel modules linked from precompiled
      kernel interface object files from being loaded on recent Linux
      kernels. This affected custom packages which were prepared with
      nvidia-installer's --add-this-kernel option, for example.
    - Fixed a driver installation failure on Linux kernel 5.17 release
      candidates, where the NVIDIA kernel module failed to build with error
      "implicit declaration of function 'PDE'".

  [ Andreas Beckmann ]
  * Refresh patches.
  * Work around architecture misdetection when building the kernel modules in
    an armhf environment on an arm64 host.  (Closes: #1010230)
  * Bump Standards-Version to 4.6.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 19 May 2022 12:07:44 +0200

nvidia-graphics-drivers (390.144-1~deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2021-1076, CVE-2021-1093, CVE-2021-1094, CVE-2021-1095
    and CVE-2021-1056.  (Closes: #987216, #991351)
    Multiple security vulnerabilities have been discovered in the
    NVIDIA binary driver and libraries that provide optimized
    hardware acceleration which may lead to denial of service,
    information disclosure, or data corruption.

 -- Markus Koschany <apo@debian.org>  Tue, 18 Jan 2022 18:50:56 +0100
