## nvidia-graphics-drivers-legacy-390xx 390.154

=== debian/changelog ===
nvidia-graphics-drivers-legacy-390xx (390.154-1~deb10u1) buster; urgency=medium

  * Rebuild for buster.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 29 Aug 2022 02:51:31 +0200

nvidia-graphics-drivers-legacy-390xx (390.154-1) unstable; urgency=medium

  * New upstream legacy branch release 390.154 (2022-08-02).
    * Fixed CVE-2022-31607, CVE-2022-31608, CVE-2022-31615. (Closes: #1016616)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5383
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Minor packaging sync and cleanup (470.129.06-6).
  * Drop references to kernel-package and make-kpkg, gone since stretch
    (470.141.03-1).
  * Overhaul build-module-packages.sh (470.141.03-1).
  * Add module-assistant based autopkgtest for the *-source package
    (470.141.03-1).
  * Simplify changelog management for the *-source package (470.141.03-1).
  * Copy the Source stanza from d/control to the module control file
    (470.141.03-1).
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 04 Aug 2022 11:32:14 +0200

nvidia-graphics-drivers-legacy-390xx (390.151-2) unstable; urgency=medium

  * Backport pci/dma changes from 470.129.06 to fix kernel module build for
    Linux 5.18.  (Closes: #1012700, #1012618)
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 22 Jun 2022 02:56:26 +0200

nvidia-graphics-drivers-legacy-390xx (390.151-1~deb10u1) buster; urgency=medium

  * Rebuild for buster.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 29 May 2022 01:21:46 +0200
